Update Location Group
curl --request PATCH \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/location-groups/{locationGroupId} \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"name": "location test group - edit",
"description": "location test group name",
"Locations": [
"a13ddb59-3e5c-4bdd-8673-fc913b93b9db",
"1d5ceb29-ab86-4138-ad7f-b8290b1771f5",
"32e77f06-6cb1-4657-9310-1f4dcd902850",
"b9164b03-60c2-4500-89a4-f490e38c9872"
]
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/location-groups/{locationGroupId}"
payload = {
"name": "location test group - edit",
"description": "location test group name",
"Locations": ["a13ddb59-3e5c-4bdd-8673-fc913b93b9db", "1d5ceb29-ab86-4138-ad7f-b8290b1771f5", "32e77f06-6cb1-4657-9310-1f4dcd902850", "b9164b03-60c2-4500-89a4-f490e38c9872"]
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'location test group - edit',
description: 'location test group name',
Locations: [
'a13ddb59-3e5c-4bdd-8673-fc913b93b9db',
'1d5ceb29-ab86-4138-ad7f-b8290b1771f5',
'32e77f06-6cb1-4657-9310-1f4dcd902850',
'b9164b03-60c2-4500-89a4-f490e38c9872'
]
})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/location-groups/{locationGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"WorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"CreatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"UpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"Creator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>"
},
"LocationGroupLocations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"WorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"LocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"LocationGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"CreatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"UpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "<string>",
"Location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"HotelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"avatar": {
"color": "<string>"
},
"ParentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"LevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slugCode": "<string>",
"isQREnable": true,
"locationNumber": 123,
"attachments": [
"<unknown>"
],
"deletedTimestamp": "<string>",
"CreatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"UpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DeletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "<string>",
"coordinates": {
"type": "<string>",
"coordinates": [
123
]
},
"address": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"Members": [
{
"photo": "<string>",
"fullName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"emailId": "<string>",
"phoneNo": "<string>",
"deletedAt": "<string>",
"timezone": "<string>",
"RoleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
],
"Level": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"isSite": true
},
"Sublocations": [
"<unknown>"
]
}
}
]
},
"meta": {}
}Locations
Update Location Group
Update an existing location group. Partial updates allowed. Requires CAN_MANAGE_LOCATIONS permission.
PATCH
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
location-groups
/
{locationGroupId}
Update Location Group
Path Parameters
UUID of the workspace.
ID of the location group to update
Body
application/json
⌘I